Driver License Data Verification (DLDV) - Sandbox

Create inquiry

Creates lookup inquiry.

post
https://api-test.vitu.com/one/dldv/api/v1/inquiry

Headers

x-location-idinteger

VITU Location ID

x-on-behalf-user-idinteger

Id of the user on behalf of whom the request is being made

Body

application/json

InquiryRequestDTO

refNumberstring(uuid)required

Unique reference number for the inquiry

<= 36 characters

documentNumberstring

<= 500 characters

documentCategorystring

Allowed values:DriverLicenseDriverPermitIdCard

dealerLocationNamestring

<= 500 characters

dealerLicensestring

<= 500 characters

expirationDatestring(date)

<= 500 characters

lastNamestring

<= 500 characters

firstNamestring

<= 500 characters

middleNamestring

<= 500 characters

dateOfBirthstring(date)

<= 500 characters

jurisdictionIdentifierstring

Allowed values:ALARAZCOCTDCDEFLGAHIIAIDILINKSKYMAMDMEMIMOMSMTNCNDNENJNMNVOHORPARISCSDTNTXVAVTWAWIWVWY

Response

application/json

Accepted

object

Callbacks

post
{$request.query.callbackUrl}

Callback Response

200

OK

post/inquiry

Body

{ "refNumber": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "documentNumber": "12345", "documentCategory": "DriverLicense", "dealerLocationName": "Florida Gators", "expirationDate": "2025-01-01", "lastName": "Last", "firstName": "First", "dateOfBirth": "1988-01-01", "jurisdictionIdentifier": "PA", "vin": "1HGCM82633A004352" }
 
application/json
callback sample
Callback Body
Callback Response
200

Load inquiry

Load inquiry.

get
https://api-test.vitu.com/one/dldv/api/v1/inquiry/id/{inquiryId}

Path Parameters

inquiryIdstringrequired

<= 36 characters

Response

application/json

OK

InquiryResponseDTO

inquiryIdinteger
refNumberstring(uuid)

<= 36 characters

documentNumberstring

<= 500 characters

documentCategorystring

Allowed values:DriverLicenseDriverPermitIdCard

dealerLocationNamestring

<= 500 characters

requesterstring

<= 500 characters

dateOfBirthstring(date)

<= 500 characters

jurisdictionIdentifierstring

Allowed values:ALARAZCOCTDCDEFLGAHIIAIDILINKSKYMAMDMEMIMOMSMTNCNDNENJNMNVOHORPARISCSDTNTXVAVTWAWIWVWY

userIdinteger
locationIdinteger
errorstring

<= 500 characters

processedDatestring(date-time)

<= 500 characters

get/inquiry/id/{inquiryId}
 
application/json

Load inquiry

Load inquiry.

get
https://api-test.vitu.com/one/dldv/api/v1/inquiry/refNumber/{refNumber}

Path Parameters

refNumberstringrequired

<= 36 characters

Response

application/json

OK

InquiryResponseDTO

inquiryIdinteger
refNumberstring(uuid)

<= 36 characters

documentNumberstring

<= 500 characters

documentCategorystring

Allowed values:DriverLicenseDriverPermitIdCard

dealerLocationNamestring

<= 500 characters

requesterstring

<= 500 characters

dateOfBirthstring(date)

<= 500 characters

jurisdictionIdentifierstring

Allowed values:ALARAZCOCTDCDEFLGAHIIAIDILINKSKYMAMDMEMIMOMSMTNCNDNENJNMNVOHORPARISCSDTNTXVAVTWAWIWVWY

userIdinteger
locationIdinteger
errorstring

<= 500 characters

processedDatestring(date-time)

<= 500 characters

get/inquiry/refNumber/{refNumber}
 
application/json

Load vehicle inquiry record

Load vehicle inquiry record.

get
https://api-test.vitu.com/one/dldv/api/v1/inquiry/{inquiryId}/record

Path Parameters

inquiryIdstringrequired

<= 36 characters

Response

application/json

OK

InquiryRecordDTO

dealerLocationNamestring

<= 500 characters

locationIdinteger
dealerLicensestring

<= 500 characters

requestedAtstring(date-time)

<= 500 characters

lookupIdinteger
documentNumberstring

<= 500 characters

documentCategorystring

Allowed values:DriverLicenseDriverPermitIdCard

jurisdictionStatestring

<= 500 characters

documentExpirationDatestring(date)

<= 500 characters

firstNamestring

<= 500 characters

lastNamestring

<= 500 characters

middleNamestring

<= 500 characters

dateOfBirthstring(date)

<= 500 characters

verificationPassedboolean
verificationDescriptionstring

<= 500 characters

requesterstring

<= 500 characters

get/inquiry/{inquiryId}/record
 
application/json

Load report as pdf

Load report as pdf.

get
https://api-test.vitu.com/one/dldv/api/v1/inquiry/{inquiryId}/report

Path Parameters

inquiryIdstringrequired

<= 36 characters

Response

application/pdf

OK

string

<= 500 characters

get/inquiry/{inquiryId}/report
 
application/pdf